# Uses of Class
org.apache.sysds.runtime.matrix.operators.CountDistinctOperator

Packages that use CountDistinctOperator
Package
Description
org.apache.sysds.runtime.matrix.data
org.apache.sysds.runtime.matrix.data.sketch

## Uses of CountDistinctOperator in org.apache.sysds.runtime.matrix.data

Methods in org.apache.sysds.runtime.matrix.data with parameters of type CountDistinctOperator
Modifier and Type
Method
Description
`static MatrixBlock`
LibMatrixCountDistinct.`countDistinctValuesFromSketch(CountDistinctOperator op, CorrMatrixBlock corrBlkIn)`
`static CorrMatrixBlock`
LibMatrixCountDistinct.`createSketch(CountDistinctOperator op, MatrixBlock blkIn)`
`static MatrixBlock`
LibMatrixCountDistinct.`estimateDistinctValues(MatrixBlock in, CountDistinctOperator op)`
Public method to count the number of distinct values inside a matrix.
`static CorrMatrixBlock`
LibMatrixCountDistinct.`unionSketch(CountDistinctOperator op, CorrMatrixBlock corrBlkIn0, CorrMatrixBlock corrBlkIn1)`

## Uses of CountDistinctOperator in org.apache.sysds.runtime.matrix.data.sketch

Fields in org.apache.sysds.runtime.matrix.data.sketch declared as CountDistinctOperator
Modifier and Type
Field
Description
`final CountDistinctOperator`
CountDistinctSketch.`op`